### Function

# Camel StoreDBReadMessagesFunc

since: 3.58

#### Declaration

    gboolean
    (* CamelStoreDBReadMessagesFunc) (
      CamelStoreDB* storedb,
      const CamelStoreDBMessageRecord* record,
      gpointer user_data
    )

#### Description [src]

A callback called in the `camel_store_db_read_messages()` for each read message information. The members of the `record` are valid only in time of the callback being called.

Available since: 3.58

#### Parameters

`storedb`

  Type: `CamelStoreDB`

  A `CamelStoreDB`.

  The data is owned by the caller of the function.

`record`

  Type: `CamelStoreDBMessageRecord`

  A `CamelStoreDBMessageRecord` which had been read.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to stop further reading.